Delete User

Deletes a user. Deleting a user will permanently remove user data access. Per HIPAA guidelines, data is retained for 7 years and is available upon special request.

DELETE /organizations/:org_id/users/:uid?token=:token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Best Practice

You should only provision a user when they're ready to connect a device. Provisioning users based on member files, app download, etc create unnecessary bloat in your database and ours! Delete User can help you remove unwanted users.

The following table outlines the possible fields that can be expected in the API response.

NameTypeDescription
idstringValidic user ID
uidstringCustomer’s user identifier.
marketplace > tokenUnique marketplace identifier.
marketplace > urlstringThe user’s marketplace URL. Requesting this URL with the ‘Accept’ header as ‘application/json’ will provide a JSON representation of the marketplace. Otherwise, an HTML representation will be presented.
location > timezonestringDefault user timezone. When retrieving data from a source that provides no UTC offset information, the default timezone will be used to calculate the UTC offset.
location > country_codestringThe user’s country is identified as a two-character country code using the ISO 3166-1 standard. Validic uses this information for integrations that provide data access based on the user’s country.
sourcesstringList of sources the user has connected to, including the connection time in UTC.
created_atstringThe date and time the resource was created.
updated_atstringThe date and time the resource was updated.
deleted_atstringThe date and time the resource was deleted.
Path Params
string
required

Organization ID provided to you by Validic.

string
required

The UID you defined when provisioning the client.

string
required

Developer Key as supplied by Validic.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain